import React, { createContext, useContext, useState } from "react";
const initialState = {
  areaInfo: "",
  setAreainfo: () => {},
};

const AreaInfoContext = createContext(initialState);

export const useAreaInfo = () => {
  return useContext(AreaInfoContext);
};

export const AreaInfoProvider = ({ children }) => {
  const [areaInfo, setAreaInfo] = useState("");

  return (
    <AreaInfoContext.Provider value={{ areaInfo, setAreaInfo }}>
      {children}
    </AreaInfoContext.Provider>
  );
};
